DS_PACKET_ALL_DATA(3)

FUNCTION
ds_packet_all_data - Test if packet contains only atomic data elements.

SYNOPSIS
#include <karma_ds.h>

flag ds_packet_all_data

(CONST packet_desc *pack_desc)

DESCRIPTION
This routine will determine if all the elements in a packet are atomic (i.e. no sub-arrays, linked lists or strings). All element types in the packet descriptor must be legal, else the routine will print an error message and abort processing.

pack_desc
    The packet descriptor.

RETURN VALUE
TRUE if the data elements are all atomic, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/